package com.usky.dxtop.model;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author yq
 * @since 2021-09-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Staff implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * id
     */
    private Long id;

    private Integer deptSort;

    private Integer enabled;

    private Integer subCount;

    private Integer hasChildren;

    /**
     * 部门
     */
    private String label;

    private String name;

    private Integer pid;

    private Integer leaf;

    private LocalDateTime createTime;

    /**
     * 创建人
     */
    private String createBy;

    private String updateBy;

    private LocalDateTime updateTime;
    @TableField(exist = false)
    private String deptName;

    private String card;


}
